nenoDevelopers
⌘K
v1

Customers

Retrieve a customer

GET/customers/{id}

Path parameters

idstring · uuidrequired

Responses

200
OK. The customer.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
404
Not found. Resource not found (or not in this workspace).
Request
curl https://api.neno.build/public/v1/customers/inv_7Hq2c9LmX4 \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/json
{
"name": "string",
"email": "[email protected]",
"contactPerson": null,
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postalCode": "string",
"countryCode": "string"
},
"vatNumber": null,
"registrationNumber": null,
"id": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"createdAt": "2026-09-24T09:30:00Z",
"updatedAt": "2026-09-24T09:30:00Z"
}